> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/guides/getting-started/create-a-proxy.md).

# Create a Proxy

{% hint style="info" %}
Note: There is no concept of a Proxy in the [open source version](https://github.com/unskript/Awesome-CloudOps-Automation) of unSkript, as it is assumed that your install will be behind your firewall.
{% endhint %}

unSkript needs a dedicated runtime environment where xRunBook workflows can be securely executed. This can be either on the unSkript SAAS side, or in your cloud (behind your cloud firewalls).

We currently offer the ability to install proxies in your:

* [AWS Cloud](/unskript-documentation/connnecting/proxies/aws-proxy.md)
* [GCP Cloud](/unskript-documentation/connnecting/proxies/gcp-proxy.md)
* [Private Cloud](/unskript-documentation/connnecting/proxies.md#private-cloud)
* [onPrem](/unskript-documentation/connnecting/proxies.md#on-premises)
* [unSkript Hosted](/unskript-documentation/connnecting/proxies/unskript-proxy.md)

{% hint style="info" %}
The Free Trial only allows for one unSkript Hosted Proxy. &#x20;
{% endhint %}

Please contact <support@unskript.com> to schedule an onboarding call.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/guides/getting-started/create-a-proxy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
